Index: /WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt	(revision 1084)
+++ /WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt	(revision 1085)
@@ -1,3 +1,7 @@
 <metal:html tal:define="info context/getStudentInfo">
+  <span tal:condition="not: info">
+    <span tal:content="here/illegal_view" />
+  </span>
+  <metal:block tal:condition="info"> 
   <metal:body use-macro="here/main_template/macros/master">
     <metal:main fill-slot="main">
@@ -18,3 +22,4 @@
     </metal:main>
   </metal:body>
+  </metal:block>    
 </metal:html>
Index: /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_form.pt	(revision 1084)
+++ /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_form.pt	(revision 1085)
@@ -2,5 +2,5 @@
 <metal:block tal:define="info context/getClearanceInfo">
   <span tal:condition="not: info">
-    <metal:block use-macro="here/standard_error_message" />
+    <metal:block use-macro="here/illegal_view/macros/illegal_view" />
   </span>
 <metal:block tal:condition="info"> 
Index: /WAeUP_SRP/trunk/skins/waeup_student/search_students_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/search_students_form.pt	(revision 1084)
+++ /WAeUP_SRP/trunk/skins/waeup_student/search_students_form.pt	(revision 1085)
@@ -18,8 +18,7 @@
       </span>
       <span tal:condition="allowed" tal:omit-tag="">
-        <a href="statistic_view"><strong>Statistic</strong></a>
+        <a href="statistics_view"><strong>Statistics</strong></a>
         <h3> Search Student Section</h3><br />
-
-          You are logged as member <span tal:replace="info/member|nothing" /> 
+          You are logged in as member <span tal:replace="info/member|nothing" /> 
           <span tal:condition="info/faculties|nothing" tal:omit-tag="">
             who is ClearanceOfficer for Faculty 
Index: eUP_SRP/trunk/skins/waeup_student/statistic_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/statistic_view.pt	(revision 1084)
+++ 	(revision )
@@ -1,32 +1,0 @@
-<metal:html tal:define="departments context/getStudentStatistics;
-                        mtool here/portal_membership;
-                        member mtool/getAuthenticatedMember;"
-                        >
-  <metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main">
-      <span tal:condition="isAnon">
-      </span>  
-      <h3>Student Statistic</h3>
-      <br />      
-      <span tal:condition="not:isAnon">
-        <table>
-          <tr class="odd ajaxtd">
-            <th>Department</th>
-            <th>Students</th>
-            <th>CPE</th>
-            <th>CR</th>
-            <th>Cleared</th>
-          </tr>
-          <tr tal:repeat="d departments"
-              tal:attributes="class python:test(repeat['d'].even(), 'even ajaxtd', 'odd ajaxtd')">
-            <td> <span tal:content="d/id" /> </td>
-            <td align="right" tal:content="d/students" />
-            <td align="right" tal:content="d/clearance_pin_entered" />
-            <td align="right" tal:content="d/clearance_requested" />
-            <td align="right" tal:content="d/cleared_and_validated" />
-          </tr>
-        </table>
-      </span>
-    </metal:main>
-  </metal:body>
-</metal:html>
Index: /WAeUP_SRP/trunk/skins/waeup_student/statistics_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/statistics_view.pt	(revision 1085)
+++ /WAeUP_SRP/trunk/skins/waeup_student/statistics_view.pt	(revision 1085)
@@ -0,0 +1,39 @@
+<metal:html tal:define="departments context/getStudentStatistics;
+                        mtool here/portal_membership;
+                        member mtool/getAuthenticatedMember;"
+                        >
+  <metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main">
+      <span tal:condition="isAnon">
+      </span>  
+      <h3>Student Statistics</h3>
+      <br />      
+      <span tal:condition="not:isAnon">
+        <table>
+          <tr class="odd ajaxtd">
+            <th >Department</th>
+            <th align="right">Students</th>
+            <th align="right">CPE</th>
+            <th align="right">CR</th>
+            <th align="right">VC</th>
+          </tr>
+          <tr tal:repeat="d departments"
+              tal:attributes="class python:test(repeat['d'].even(), 'even ajaxtd', 'odd ajaxtd')">
+            <td width="80px"> <span tal:content="d/id" /> </td>
+            <td width="80px" align="right" tal:content="d/students" />
+            <td width="80px" align="right" tal:content="d/clearance_pin_entered" />
+            <td width="80px" align="right" tal:content="d/clearance_requested" />
+            <td width="80px" align="right" tal:content="d/cleared_and_validated" />
+          </tr>
+        </table>
+        <br />
+        <table>
+        <tr><td>CPE:</td> <td>Clearance PIN entered</td></tr>
+        <tr><td>CR: </td> <td>Clearance Rrequested</td></tr>
+        <tr><td>VC: </td> <td>Validated and cleared</td></tr>
+        </table>
+        
+      </span>
+    </metal:main>
+  </metal:body>
+</metal:html>
Index: /WAeUP_SRP/trunk/skins/waeup_student/support_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/support_form.pt	(revision 1084)
+++ /WAeUP_SRP/trunk/skins/waeup_student/support_form.pt	(revision 1085)
@@ -1,4 +1,7 @@
-<metal:html tal:define="info context/getStudentInfo;
-                ">
+<metal:html tal:define="info context/getStudentInfo;">
+  <span tal:condition="not: info">
+    <span tal:content="here/illegal_view" />
+  </span>
+  <metal:block tal:condition="info"> 
   <metal:body use-macro="here/main_template/macros/master">
     <metal:main fill-slot="main">
@@ -60,3 +63,4 @@
     </metal:main>
   </metal:body>
+  </metal:block>  
 </metal:html>