Index: /WAeUP_SRP/trunk/profiles/default/actionicons.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/actionicons.xml	(revision 1114)
+++ /WAeUP_SRP/trunk/profiles/default/actionicons.xml	(revision 1115)
@@ -245,5 +245,5 @@
  <action-icon category="student_navigation"
               action_id="support_anon" title="Support"
-              priority="5" icon_expr="blank.gif"/>              
+              priority="5" icon_expr="blank.gif"/>
  <action-icon category="student_object" action_id="slip"
               title="Acknowledegement Slip" priority="1"
@@ -255,12 +255,15 @@
               title="Logout" priority="1"
               icon_expr="actionicon_logout.png"/>
- <action-icon category="student" action_id="display_pume_result"
-              title="Display PUME Result" priority="2"
+ <action-icon category="student" action_id="display_pume_results"
+              title="Display PUME Results" priority="2"
+              icon_expr="zoom.png"/>
+ <action-icon category="student" action_id="display_pde_results"
+              title="Display PDE Results" priority="3"
               icon_expr="zoom.png"/>
  <action-icon category="student" action_id="check_admission"
-              title="Check if admitted" priority="3"
+              title="Check if admitted" priority="4"
               icon_expr="bell.png"/>
  <action-icon category="student" action_id="register_courses"
-              title="Register Courses" priority="4"
+              title="Register Courses" priority="5"
               icon_expr="bell.png"/>
  <action-icon category="global" action_id="members"
Index: /WAeUP_SRP/trunk/profiles/default/actions.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 1114)
+++ /WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 1115)
@@ -155,7 +155,12 @@
    <permission>View</permission>
   </action>
-  <action title="View PUME Results" action_id="display_pume_result"
-     category="student" condition_expr="not:member"
-     url_expr="string:${portal_url}/display_pume_result" visible="True">
+  <action title="View PUME Results" action_id="display_pume_results"
+     category="student" condition_expr="not:member"
+     url_expr="string:${portal_url}/display_pume_results" visible="True">
+   <permission>View</permission>
+  </action>
+  <action title="View PDE Results" action_id="display_pde_results"
+     category="student" condition_expr="not:member"
+     url_expr="string:${portal_url}/display_pde_results" visible="True">
    <permission>View</permission>
   </action>
Index: /WAeUP_SRP/trunk/profiles/default/themes.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/themes.xml	(revision 1114)
+++ /WAeUP_SRP/trunk/profiles/default/themes.xml	(revision 1115)
@@ -13,5 +13,5 @@
   <element key="accommodation_slip" value="WAeUP_Student+Slippage"/>
   <element key="pume_slip" value="WAeUP_Student+Slippage"/>
-  <element key="pume_anon_slip" value="WAeUP_Student+Slippage"/>
+  <element key="entry_results_anon_slip" value="WAeUP_Student+Slippage"/>
   <element key="admission_slip" value="WAeUP_Student+Slippage"/>
   <element key="clearance_slip" value="WAeUP_Student+Slippage"/>
Index: eUP_SRP/trunk/skins/waeup_student/display_pume_result.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/display_pume_result.py	(revision 1114)
+++ 	(revision )
@@ -1,48 +1,0 @@
-##parameters=REQUEST
-# $Id$
-"""
-process the Application Form
-return html renderer + psm
-"""
-import DateTime
-current = DateTime.DateTime()
-pr = context.portal_registration
-
-
-type_name = 'StudentApplication'
-ti = context.portal_types[type_name]
-REQUEST.set('type_name',type_name)
-
-validate = REQUEST.has_key("cpsdocument_create_button")
-
-lt = context.portal_layouts
-pr = context.portal_registration
-
-res,psm,ds = lt.renderLayout(layout_id= 'student_application_search',
-                      schema_id= 'student_application',
-                      context=context,
-                      mapping=validate and REQUEST,
-                      ob={},
-                      layout_mode='create',
-                      formaction = "display_pume_result",
-                      button = "Search",
-                      commit=False,
-                      )
-if psm == 'invalid':
-    return context.display_pume_result_form(rendered = res,
-                                 psm = "Please correct your input!",
-                                 #psm = "%s, %s" % (psm,ds),
-                                 firstlayout = True,
-                                 lastlayout = True,
-                                 ds = ds,
-                                 )
-elif psm == '':
-    return context.display_pume_result_form(rendered = res,
-                                 psm = None,
-                                 firstlayout = True,
-                                 lastlayout = True,
-                                 ds = ds,
-                                 )
-elif psm == 'valid':
-    return context.pume_anon_view(pume=ds['pume'])
-
Index: eUP_SRP/trunk/skins/waeup_student/display_pume_result.py.org
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/display_pume_result.py.org	(revision 1114)
+++ 	(revision )
@@ -1,52 +1,0 @@
-##parameters=REQUEST
-# $Id$
-"""
-process the Application Form
-return html renderer + psm
-"""
-import DateTime
-current = DateTime.DateTime()
-pr = context.portal_registration
-
-
-type_name = 'StudentApplication'
-ti = context.portal_types[type_name]
-REQUEST.set('type_name',type_name)
-
-validate = REQUEST.has_key("cpsdocument_create_button")
-
-lt = context.portal_layouts
-pr = context.portal_registration
-
-res,psm,ds = lt.renderLayout(layout_id= 'student_application_search',
-                      schema_id= 'student_application',
-                      context=context,
-                      mapping=validate and REQUEST,
-                      ob={},
-                      layout_mode='create',
-                      formaction = "display_pume_result",
-                      button = "Search",
-                      )
-if psm == 'invalid':
-    return context.display_pume_result_form(rendered = res,
-                                 psm = "Please correct your input!",
-                                 #psm = "%s, %s" % (psm,ds),
-                                 firstlayout = True,
-                                 lastlayout = True,
-                                 ds = ds,
-                                 )
-elif psm == '':
-    return context.display_pume_result_form(rendered = res,
-                                 psm = None,
-                                 firstlayout = True,
-                                 lastlayout = True,
-                                 ds = ds,
-                                 )
-elif psm == 'valid':
-    url = "%s/campus/students/%s/pume/pume_anon_view" % (context.portal_url(),ds['s_id'])
-    return REQUEST.RESPONSE.redirect(url)
-
-
-return
-
-
Index: eUP_SRP/trunk/skins/waeup_student/display_pume_result_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/display_pume_result_form.pt	(revision 1114)
+++ 	(revision )
@@ -1,23 +1,0 @@
-<tal:block define="rendered_main options/rendered;
-                   portal_status_message options/psm;
-                   data_storage options/ds;
-                   edition python:1;"
-                   >
-<metal:block define-macro="edit_form">
-  <metal:block use-macro="here/content_lib_master/macros/master">
-  <metal:block fill-slot="header"
-    tal:define="creation creation|nothing;
-                edition edition|nothing;
-                metadata metadata|nothing"
-                >
-    </metal:block>
-      <metal:block fill-slot="main">
-        <h3>Display Your Post University Matriculation Examination Screening Results! </h3>
-        <br />
-        <div tal:replace="structure rendered_main" />
-      </metal:block>
-      <metal:block fill-slot="sub">
-      </metal:block>
-    </metal:block>
-  </metal:block>
-</tal:block>
Index: eUP_SRP/trunk/skins/waeup_student/pume_anon_slip.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/pume_anon_slip.pt	(revision 1114)
+++ 	(revision )
@@ -1,40 +1,0 @@
-<metal:html tal:define="pume python:context.portal_pumeresults(jamb_reg_no=request.get('nr'))[0]">
-  <metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main">
-        <h3>PUME Results of <span tal:content="pume/name" /></h3>
-                            
-       <br />      
-       
-       <strong  tal:condition="python:pume.status=='Admitted'">You have been provisionally admitted into University of Benin. 
-                                                               Please check your admission details!
-                                                               <br /><br /></strong> 
-                             
-       <table>
-        <tr>
-          <th>JAMB Registration Number:</th><td tal:content="pume/jamb_reg_no"></td>
-        </tr>
-        <tr>
-          <th>Name:</th><td tal:content="pume/name"></td>
-        </tr>
-        <tr>
-          <th>Sex:</th><td tal:content="pume/sex"></td>
-        </tr>        
-        <tr>
-          <th>Score:</th><td tal:content="pume/score"></td>
-        </tr>
-        <tr>
-          <th>Status:</th><td tal:content="pume/status"></td>
-        </tr>
-        <tr>
-          <th>Course Requested:</th><td> <span tal:content="pume/course" /></td>
-        </tr>
-        <tr>
-          <th>Course Code:</th><td><span tal:content="pume/course_code_org" /></td>
-        </tr>
-      </table>
-      
-      
-      
-    </metal:main>
-  </metal:body>
-</metal:html>
Index: eUP_SRP/trunk/skins/waeup_student/pume_anon_slip.pt.org
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/pume_anon_slip.pt.org	(revision 1114)
+++ 	(revision )
@@ -1,21 +1,0 @@
-<metal:html tal:define="app_doc python: context.aq_parent.application.getContent();
-                        pume_doc python: context.getContent()">
-  <metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main">
-      <h3>PUME Results of <span tal:content="app_doc/jamb_firstname" />
-                            <span tal:content="app_doc/jamb_lastname" /></h3>
-
-      <br />
-      <span tal:omit-tag=""
-            tal:content="structure python: app_doc.render(proxy=app_doc,
-            layout_mode='view_info', 
-            layout_id='student_application_fe')" 
-            />
-      <span tal:condition="python:1" tal:omit-tag=""
-            tal:content="structure python: pume_doc.render(proxy=pume_doc,
-            layout_mode='view_slip', 
-            layout_id='student_pume_fe')" 
-            />
-    </metal:main>
-  </metal:body>
-</metal:html>
Index: eUP_SRP/trunk/skins/waeup_student/pume_anon_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/pume_anon_view.pt	(revision 1114)
+++ 	(revision )
@@ -1,48 +1,0 @@
-<metal:html tal:define="pume options/pume">
-  <metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main">
-        <div style="text-align: right">
-        <a href="" target="slip" tal:attributes="href string:pume_anon_slip?nr=${pume/jamb_reg_no}"
-            onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
-            <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
-            PUME Result Slip
-        </a>
-        </div>
-
-        <h3>PUME Results of <span tal:content="pume/name" /></h3>
-                            
-       <br />              
-       
-       <strong  tal:condition="python:pume.status=='Admitted'">You have been provisionally admitted into University of Benin. 
-                                                               Please check your admission details!
-                                                               <br /><br /></strong>              
-       <strong  tal:condition="python:pume.status=='Not Admitted'">Sorry, you have not been admitted. 
-                                                                   Do not check admission details! There are no more data available.
-                                                               <br /><br /></strong>                                                    
-                     
-       <table>
-        <tr>
-          <th>JAMB Registration Number:</th><td tal:content="pume/jamb_reg_no"></td>
-        </tr>
-        <tr>
-          <th>Name:</th><td tal:content="pume/name"></td>
-        </tr>
-        <tr>
-          <th>Sex:</th><td tal:content="pume/sex"></td>
-        </tr>        
-        <tr>
-          <th>Score:</th><td tal:content="pume/score"></td>
-        </tr>
-        <tr>
-          <th>Status:</th><td tal:content="pume/status"></td>
-        </tr>
-        <tr>
-          <th>Course Requested:</th><td> <span tal:content="pume/course" /></td>
-        </tr>
-        <tr>
-          <th>Course Code:</th><td><span tal:content="pume/course_code_org" /></td>
-        </tr>
-      </table>
-    </metal:main>
-  </metal:body>
-</metal:html>
Index: eUP_SRP/trunk/skins/waeup_student/pume_anon_view.pt.org
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/pume_anon_view.pt.org	(revision 1114)
+++ 	(revision )
@@ -1,33 +1,0 @@
-<metal:html tal:define="app_doc python: context.aq_parent.application.getContent();
-                        pume_doc python: context.getContent()">
-  <metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main">
-
-            
-        <div style="text-align: right">
-        <a href="" target="slip" tal:attributes="href string:pume_anon_slip"
-            onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
-            <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
-            PUME Result Slip
-        </a>
-        </div>
-
-        <h3>PUME Results of <span tal:content="app_doc/jamb_firstname" />
-                            <span tal:content="app_doc/jamb_lastname" /></h3>
-                            
-       <br />                            
-
-        <span tal:omit-tag=""
-              tal:content="structure python: app_doc.render(proxy=app_doc,
-              layout_mode='view_info', 
-              layout_id='student_application_fe')" 
-              />        
-        <span tal:omit-tag=""
-              tal:content="structure python: pume_doc.render(proxy=pume_doc,
-              layout_mode='view_slip', 
-              layout_id='student_pume_fe')" 
-              />
-
-    </metal:main>
-  </metal:body>
-</metal:html>