Index: WAeUP_SRP/trunk/skins/waeup_student/display_pde_results.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/display_pde_results.py	(revision 1123)
+++ WAeUP_SRP/trunk/skins/waeup_student/display_pde_results.py	(revision 1123)
@@ -0,0 +1,48 @@
+##parameters=REQUEST
+# $Id: display_pume_result.py 970 2006-11-30 12:16:52Z joachim $
+"""
+process the Application Form
+return html renderer + psm
+"""
+import DateTime
+current = DateTime.DateTime()
+pr = context.portal_registration
+
+
+type_name = 'StudentApplication'
+ti = context.portal_types[type_name]
+REQUEST.set('type_name',type_name)
+
+validate = REQUEST.has_key("cpsdocument_create_button")
+
+lt = context.portal_layouts
+pr = context.portal_registration
+
+res,psm,ds = lt.renderLayout(layout_id= 'student_application_search',
+                      schema_id= 'student_application',
+                      context=context,
+                      mapping=validate and REQUEST,
+                      ob={},
+                      layout_mode='create',
+                      formaction = "display_pde_results",
+                      button = "Search",
+                      commit=False,
+                      )
+if psm == 'invalid':
+    return context.display_pde_results_form(rendered = res,
+                                 psm = "Please correct your input!",
+                                 #psm = "%s, %s" % (psm,ds),
+                                 firstlayout = True,
+                                 lastlayout = True,
+                                 ds = ds,
+                                 )
+elif psm == '':
+    return context.display_pde_results_form(rendered = res,
+                                 psm = None,
+                                 firstlayout = True,
+                                 lastlayout = True,
+                                 ds = ds,
+                                 )
+elif psm == 'valid':
+    return context.entry_results_anon_view(pume=ds['pume'])
+
Index: WAeUP_SRP/trunk/skins/waeup_student/display_pde_results_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/display_pde_results_form.pt	(revision 1123)
+++ WAeUP_SRP/trunk/skins/waeup_student/display_pde_results_form.pt	(revision 1123)
@@ -0,0 +1,23 @@
+<tal:block define="rendered_main options/rendered;
+                   portal_status_message options/psm;
+                   data_storage options/ds;
+                   edition python:1;"
+                   >
+<metal:block define-macro="edit_form">
+  <metal:block use-macro="here/content_lib_master/macros/master">
+  <metal:block fill-slot="header"
+    tal:define="creation creation|nothing;
+                edition edition|nothing;
+                metadata metadata|nothing"
+                >
+    </metal:block>
+      <metal:block fill-slot="main">
+        <h3>Display Your Post Direct Entry Screening Results! </h3>
+        <br />
+        <div tal:replace="structure rendered_main" />
+      </metal:block>
+      <metal:block fill-slot="sub">
+      </metal:block>
+    </metal:block>
+  </metal:block>
+</tal:block>
Index: WAeUP_SRP/trunk/skins/waeup_student/display_pume_results.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/display_pume_results.py	(revision 1123)
+++ WAeUP_SRP/trunk/skins/waeup_student/display_pume_results.py	(revision 1123)
@@ -0,0 +1,48 @@
+##parameters=REQUEST
+# $Id: display_pume_result.py 970 2006-11-30 12:16:52Z joachim $
+"""
+process the Application Form
+return html renderer + psm
+"""
+import DateTime
+current = DateTime.DateTime()
+pr = context.portal_registration
+
+
+type_name = 'StudentApplication'
+ti = context.portal_types[type_name]
+REQUEST.set('type_name',type_name)
+
+validate = REQUEST.has_key("cpsdocument_create_button")
+
+lt = context.portal_layouts
+pr = context.portal_registration
+
+res,psm,ds = lt.renderLayout(layout_id= 'student_application_search',
+                      schema_id= 'student_application',
+                      context=context,
+                      mapping=validate and REQUEST,
+                      ob={},
+                      layout_mode='create',
+                      formaction = "display_pume_results",
+                      button = "Search",
+                      commit=False,
+                      )
+if psm == 'invalid':
+    return context.display_pume_results_form(rendered = res,
+                                 psm = "Please correct your input!",
+                                 #psm = "%s, %s" % (psm,ds),
+                                 firstlayout = True,
+                                 lastlayout = True,
+                                 ds = ds,
+                                 )
+elif psm == '':
+    return context.display_pume_results_form(rendered = res,
+                                 psm = None,
+                                 firstlayout = True,
+                                 lastlayout = True,
+                                 ds = ds,
+                                 )
+elif psm == 'valid':
+    return context.entry_results_anon_view(pume=ds['pume'])
+
Index: WAeUP_SRP/trunk/skins/waeup_student/display_pume_results_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/display_pume_results_form.pt	(revision 1123)
+++ WAeUP_SRP/trunk/skins/waeup_student/display_pume_results_form.pt	(revision 1123)
@@ -0,0 +1,23 @@
+<tal:block define="rendered_main options/rendered;
+                   portal_status_message options/psm;
+                   data_storage options/ds;
+                   edition python:1;"
+                   >
+<metal:block define-macro="edit_form">
+  <metal:block use-macro="here/content_lib_master/macros/master">
+  <metal:block fill-slot="header"
+    tal:define="creation creation|nothing;
+                edition edition|nothing;
+                metadata metadata|nothing"
+                >
+    </metal:block>
+      <metal:block fill-slot="main">
+        <h3>Display Your Post University Matriculation Examination Screening Results! </h3>
+        <br />
+        <div tal:replace="structure rendered_main" />
+      </metal:block>
+      <metal:block fill-slot="sub">
+      </metal:block>
+    </metal:block>
+  </metal:block>
+</tal:block>
Index: WAeUP_SRP/trunk/skins/waeup_student/entry_results_anon_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/entry_results_anon_slip.pt	(revision 1123)
+++ WAeUP_SRP/trunk/skins/waeup_student/entry_results_anon_slip.pt	(revision 1123)
@@ -0,0 +1,49 @@
+<metal:html tal:define="pume python:context.portal_pumeresults(jamb_reg_no=request.get('nr'))[0]">
+  <metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main">
+    
+    
+       <span tal:condition="python:pume['result_type']!='DE'">
+         <h3>PUME Results of <span tal:content="pume/name" /></h3>
+       </span>
+                                   
+       <span tal:condition="python:pume['result_type']=='DE'">
+         <h3>PDE Results of <span tal:content="pume/name" /></h3>
+       </span>         
+
+
+       <br />      
+       
+       <strong  tal:condition="python:pume.status=='Admitted'">You have been provisionally admitted into University of Benin. 
+                                                               Please check your admission details!
+                                                               <br /><br /></strong> 
+                             
+       <table>
+        <tr>
+          <th>JAMB Registration Number:</th><td tal:content="pume/jamb_reg_no"></td>
+        </tr>
+        <tr>
+          <th>Name:</th><td tal:content="pume/name"></td>
+        </tr>
+        <tr>
+          <th>Sex:</th><td tal:content="pume/sex"></td>
+        </tr>        
+        <tr>
+          <th>Score:</th><td tal:content="pume/score"></td>
+        </tr>
+        <tr>
+          <th>Status:</th><td tal:content="pume/status"></td>
+        </tr>
+        <tr>
+          <th>Course Requested:</th><td> <span tal:content="pume/course" /></td>
+        </tr>
+        <tr>
+          <th>Course Code:</th><td><span tal:content="pume/course_code_org" /></td>
+        </tr>
+      </table>
+      
+      
+      
+    </metal:main>
+  </metal:body>
+</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_student/entry_results_anon_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/entry_results_anon_view.pt	(revision 1123)
+++ WAeUP_SRP/trunk/skins/waeup_student/entry_results_anon_view.pt	(revision 1123)
@@ -0,0 +1,61 @@
+<metal:html tal:define="pume options/pume">
+  <metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main">
+
+        <span tal:condition="python:pume['result_type']!='DE'">        
+        <div style="text-align: right">
+        <a href="" target="slip" tal:attributes="href string:entry_results_anon_slip?nr=${pume/jamb_reg_no}"
+            onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
+            <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
+            PUME Result Slip
+        </a>
+        </div>
+          <h3>PUME Results of <span tal:content="pume/name" /></h3>
+        </span>       
+                     
+        <span tal:condition="python:pume['result_type']=='DE'">
+        <div style="text-align: right">
+        <a href="" target="slip" tal:attributes="href string:entry_results_anon_slip?nr=${pume/jamb_reg_no}"
+            onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
+            <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
+            PDE Result Slip
+        </a>
+        </div>          
+          <h3>PDE Results of <span tal:content="pume/name" /></h3>
+        </span>     
+        
+       <br />              
+       
+       <strong  tal:condition="python:pume.status=='Admitted'">You have been provisionally admitted into University of Benin. 
+                                                               Please check your admission details!
+                                                               <br /><br /></strong>              
+       <strong  tal:condition="python:pume.status=='Not Admitted'">Sorry, you have not been admitted. 
+                                                                   Do not check admission details! There are no more data available.
+                                                               <br /><br /></strong>                                                    
+                     
+       <table>
+        <tr>
+          <th>JAMB Registration Number:</th><td tal:content="pume/jamb_reg_no"></td>
+        </tr>
+        <tr>
+          <th>Name:</th><td tal:content="pume/name"></td>
+        </tr>
+        <tr>
+          <th>Sex:</th><td tal:content="pume/sex"></td>
+        </tr>        
+        <tr>
+          <th>Score:</th><td tal:content="pume/score"></td>
+        </tr>
+        <tr>
+          <th>Status:</th><td tal:content="pume/status"></td>
+        </tr>
+        <tr>
+          <th>Course Requested:</th><td> <span tal:content="pume/course" /></td>
+        </tr>
+        <tr>
+          <th>Course Code:</th><td><span tal:content="pume/course_code_org" /></td>
+        </tr>
+      </table>
+    </metal:main>
+  </metal:body>
+</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_student/entry_results_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/entry_results_view.pt	(revision 1123)
+++ WAeUP_SRP/trunk/skins/waeup_student/entry_results_view.pt	(revision 1123)
@@ -0,0 +1,61 @@
+<metal:html tal:define="pume options/pume">
+  <metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main">
+
+        <span tal:condition="python:pume['result_type']!='DE'">        
+        <div style="text-align: right">
+        <a href="" target="slip" tal:attributes="href string:entry_results_anon_slip?nr=${pume/jamb_reg_no}"
+            onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
+            <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
+            PUME Result Slip
+        </a>
+        </div>
+          <h3>PUME Results of <span tal:content="pume/name" /></h3>
+        </span>       
+                     
+        <span tal:condition="python:pume['result_type']=='DE'">
+        <div style="text-align: right">
+        <a href="" target="slip" tal:attributes="href string:entry_results_anon_slip?nr=${pume/jamb_reg_no}"
+            onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
+            <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
+            PDE Result Slip
+        </a>
+        </div>          
+          <h3>PDE Results of <span tal:content="pume/name" /></h3>
+        </span>     
+        
+       <br />              
+       
+       <strong  tal:condition="python:pume.status=='Admitted'">You have been provisionally admitted into University of Benin. 
+                                                               Please check your admission details!
+                                                               <br /><br /></strong>              
+       <strong  tal:condition="python:pume.status=='Not Admitted'">Sorry, you have not been admitted. 
+                                                                   Do not check admission details! There are no more data available.
+                                                               <br /><br /></strong>                                                    
+                     
+       <table>
+        <tr>
+          <th>JAMB Registration Number:</th><td tal:content="pume/jamb_reg_no"></td>
+        </tr>
+        <tr>
+          <th>Name:</th><td tal:content="pume/name"></td>
+        </tr>
+        <tr>
+          <th>Sex:</th><td tal:content="pume/sex"></td>
+        </tr>        
+        <tr>
+          <th>Score:</th><td tal:content="pume/score"></td>
+        </tr>
+        <tr>
+          <th>Status:</th><td tal:content="pume/status"></td>
+        </tr>
+        <tr>
+          <th>Course Requested:</th><td> <span tal:content="pume/course" /></td>
+        </tr>
+        <tr>
+          <th>Course Code:</th><td><span tal:content="pume/course_code_org" /></td>
+        </tr>
+      </table>
+    </metal:main>
+  </metal:body>
+</metal:html>