Index: WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation.xml	(revision 1114)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation.xml	(revision 1137)
@@ -7,4 +7,19 @@
  <property name="flexible_widgets"/>
  <property name="validate_values_expr"></property>
+ <widget name="acco_maint_code" meta_type="String Widget">
+  <property name="title">Maintenance Payment Code</property>
+  <property name="fields">
+   <element value="acco_maint_code"/>
+  </property>
+  <property name="label">Maintenance Payment Code</property>
+  <property name="label_edit">Maintenance Payment Code</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
  <widget name="acco_maint_date" meta_type="DateTime Widget">
   <property name="title">Maintenance Payment Date</property>
@@ -14,25 +29,11 @@
   <property name="label">Maintenance Payment Date</property>
   <property name="label_edit">Maintenance Payment Date</property>
-  <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="view_format">medium</property>
-  <property name="hidden_empty"></property>
- </widget>
- <widget name="acco_maint_code" meta_type="String Widget">
-  <property name="title">Maintenance Payment Code</property>
-  <property name="fields">
-   <element value="acco_maint_code"/>
-  </property>
-  <property name="label">Maintenance Payment Code</property>
-  <property name="label_edit">Maintenance Payment Code</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-    <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="hidden_empty"></property>
  </widget>
  <widget name="acco_maint_fee" meta_type="String Widget">
@@ -43,10 +44,11 @@
   <property name="label">Maintenance Payment Fee</property>
   <property name="label_edit">Maintenance Payment Fee</property>
-  <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="hidden_empty"></property>
  </widget>
  <widget name="acco_maint_sc_pin" meta_type="Scratchcard Pin Widget">
@@ -57,27 +59,14 @@
   <property name="label">Access Code</property>
   <property name="label_edit">Access Code</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
   <property name="hidden_layout_modes">
-    <element value="create"/>
-  </property>
-  <property name="readonly_layout_modes">
-    <element value="edit"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="hidden_empty"></property>
   <property name="prefix">HMU</property>
-  </widget>
-<widget name="student_status" meta_type="Select Widget">
- <property name="title">Status</property>
- <property name="fields">
-  <element value="student_status"/>
- </property>
- <property name="label">Status</property>
- <property name="label_edit">Status</property>
- <property name="readonly_layout_modes"/>
- <property name="hidden_layout_modes"/>
- <property name="hidden_readonly_layout_modes"/>
- <property name="vocabulary">student_status_voc</property>
-</widget>
-  <widget name="acco_res_date" meta_type="DateTime Widget">
+ </widget>
+ <widget name="acco_res_date" meta_type="DateTime Widget">
   <property name="title">Hostel Application Date</property>
   <property name="fields">
@@ -86,10 +75,11 @@
   <property name="label">Hostel Application Date</property>
   <property name="label_edit">Hostel Application Date</property>
-  <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="view_format">medium</property>
  </widget>
  <widget name="acco_res_sc_pin" meta_type="Scratchcard Pin Widget">
@@ -100,25 +90,25 @@
   <property name="label">Hostel Application PIN</property>
   <property name="label_edit">Hostel Application PIN</property>
-  <property name="prefix">HOS</property>
   <property name="readonly_layout_modes">
-    <element value="edit"/>
+   <element value="edit"/>
   </property>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
+  <property name="prefix">HOS</property>
  </widget>
-<widget name="bed" meta_type="Method Widget">
- <property name="title">Bed</property>
- <property name="fields">
-  <element value="bed"/>
- </property>
- <property name="label">Bed</property>
- <property name="label_edit">Bed</property>
- <property name="readonly_layout_modes"/>
+ <widget name="bed" meta_type="Method Widget">
+  <property name="title">Bed</property>
+  <property name="fields">
+   <element value="bed"/>
+  </property>
+  <property name="label">Bed</property>
+  <property name="label_edit">Bed</property>
+  <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
- <property name="hidden_readonly_layout_modes"/>
- <property name="render_method">formatBed</property>
-</widget>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="render_method">formatBed</property>
+ </widget>
  <widget name="session" meta_type="String Widget">
   <property name="title">Session</property>
@@ -128,9 +118,23 @@
   <property name="label">Session</property>
   <property name="label_edit">Session</property>
-  <property name="readonly_layout_modes">edit</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="student_status" meta_type="Select Widget">
+  <property name="title">Status</property>
+  <property name="fields">
+   <element value="student_status"/>
+  </property>
+  <property name="label">Status</property>
+  <property name="label_edit">Status</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">student_status_voc</property>
  </widget>
  <table>
@@ -164,2 +168,3 @@
  </table>
 </object>
+
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml	(revision 1114)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml	(revision 1137)
@@ -14,41 +14,47 @@
   <property name="label">Application Date</property>
   <property name="label_edit">Application Date</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="view_format">medium</property>
- </widget>
-<widget name="app_ac_pin" meta_type="Scratchcard Pin Widget">
- <property name="title">Access Code</property>
- <property name="fields">
-  <element value="app_ac_pin"/>
- </property>
- <property name="is_required">False</property>
- <property name="label">Access Code</property>
- <property name="label_edit">Access Code</property>
- <property name="readonly_layout_modes">
-  <element value="edit"/>
- </property>
- <property name="hidden_layout_modes"/>
- <property name="hidden_readonly_layout_modes"/>
- <property name="prefix">APP</property>
- <property name="reference">jamb_reg_no</property>
-</widget>
-<widget name="objection_date" meta_type="DateTime Widget">
- <property name="title">Objection Date</property>
- <property name="fields">
-  <element value="objection_date"/>
- </property>
- <property name="label">Objection Date</property>
- <property name="label_edit">Objection Date</property>
- <property name="readonly_layout_modes">
-  <element value="edit"/>
- </property>
- <property name="hidden_layout_modes">
-  <element value="create"/>
- </property>
- <property name="hidden_readonly_layout_modes"/>
- <property name="view_format">medium</property>
-</widget>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="app_ac_pin" meta_type="Scratchcard Pin Widget">
+  <property name="title">Access Code</property>
+  <property name="fields">
+   <element value="app_ac_pin"/>
+  </property>
+  <property name="label">Access Code</property>
+  <property name="label_edit">Access Code</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="prefix">APP</property>
+  <property name="reference">jamb_reg_no</property>
+ </widget>
+ <widget name="app_email" meta_type="Email Widget">
+  <property name="title">Email Address</property>
+  <property name="fields">
+   <element value="app_email"/>
+  </property>
+  <property name="label">Email Address</property>
+  <property name="label_edit">Email Address</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="app_mobile" meta_type="String Widget">
+  <property name="title">Mobile Phone No</property>
+  <property name="fields">
+   <element value="app_mobile"/>
+  </property>
+  <property name="label">Mobile Phone No</property>
+  <property name="label_edit">Mobile Phone No</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
  <widget name="entry_mode" meta_type="String Widget">
   <property name="title">Mode of Entry</property>
@@ -58,6 +64,5 @@
   <property name="label">Mode of Entry</property>
   <property name="label_edit">Mode of Entry</property>
-  <property name="readonly_layout_modes">
-  </property>
+  <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
    <element value="create"/>
@@ -65,31 +70,4 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
- <widget name="app_email" meta_type="Email Widget">
-  <property name="is_required">False</property>
-  <property name="title">Email Address</property>
-  <property name="fields">
-   <element value="app_email"/>
-  </property>
-  <property name="label">Email Address</property>
-  <property name="label_edit">Email Address</property>
-  <property name="readonly_layout_modes">
-  </property>
-  <property name="hidden_layout_modes">
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="app_mobile" meta_type="String Widget">
-  <property name="title">Mobile Phone No</property>
-  <property name="fields">
-   <element value="app_mobile"/>
-  </property>
-  <property name="label">Mobile Phone No</property>
-  <property name="label_edit">Mobile Phone No</property>
-  <property name="readonly_layout_modes">
-  </property>
-  <property name="hidden_layout_modes">
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
  <widget name="jamb_age" meta_type="Int Widget">
   <property name="title">JAMB Age</property>
@@ -99,6 +77,5 @@
   <property name="label">JAMB Age</property>
   <property name="label_edit">JAMB Age</property>
-  <property name="readonly_layout_modes">
-  </property>
+  <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
@@ -111,6 +88,5 @@
   <property name="label">JAMB First Choice Course of Study</property>
   <property name="label_edit">JAMB First Choice Course of Study</property>
-  <property name="readonly_layout_modes">
-  </property>
+  <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
@@ -123,6 +99,5 @@
   <property name="label">JAMB First Choice University</property>
   <property name="label_edit">JAMB First Choice University</property>
-  <property name="readonly_layout_modes">
-  </property>
+  <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
@@ -136,4 +111,5 @@
   <property name="label_edit">JAMB Firstname</property>
   <property name="readonly_layout_modes">
+   <element value="edit"/>
   </property>
   <property name="hidden_layout_modes"/>
@@ -147,5 +123,7 @@
   <property name="label">JAMB Lastname</property>
   <property name="label_edit">JAMB Lastname</property>
-  <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
@@ -158,6 +136,5 @@
   <property name="label">JAMB Local Government Area</property>
   <property name="label_edit">JAMB Local Government Area</property>
-  <property name="readonly_layout_modes">
-  </property>
+  <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
@@ -171,4 +148,5 @@
   <property name="label_edit">JAMB Middlename</property>
   <property name="readonly_layout_modes">
+   <element value="edit"/>
   </property>
   <property name="hidden_layout_modes"/>
@@ -182,6 +160,5 @@
   <property name="label">JAMB Registration Number</property>
   <property name="label_edit">JAMB Registration Number</property>
-  <property name="readonly_layout_modes">
-  </property>
+  <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
@@ -196,6 +173,5 @@
   <property name="label">JAMB Score</property>
   <property name="label_edit">JAMB Score</property>
-  <property name="readonly_layout_modes">
-  </property>
+  <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
@@ -208,6 +184,5 @@
   <property name="label">JAMB Second Choice Course of Study</property>
   <property name="label_edit">JAMB Second Choice Course of Study</property>
-  <property name="readonly_layout_modes">
-  </property>
+  <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
@@ -220,6 +195,5 @@
   <property name="label">JAMB Second Choice University</property>
   <property name="label_edit">JAMB Second Choice University</property>
-  <property name="readonly_layout_modes">
-  </property>
+  <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
@@ -233,4 +207,5 @@
   <property name="label_edit">JAMB Sex</property>
   <property name="readonly_layout_modes">
+   <element value="edit"/>
   </property>
   <property name="hidden_layout_modes"/>
@@ -244,7 +219,21 @@
   <property name="label">JAMB State</property>
   <property name="label_edit">JAMB State</property>
-  <property name="readonly_layout_modes">
-  </property>
-  <property name="hidden_layout_modes"/>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="objection_date" meta_type="DateTime Widget">
+  <property name="title">Objection Date</property>
+  <property name="fields">
+   <element value="objection_date"/>
+  </property>
+  <property name="label">Objection Date</property>
+  <property name="label_edit">Objection Date</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
   <property name="hidden_readonly_layout_modes"/>
  </widget>
@@ -265,5 +254,4 @@
   <property name="display_width">150</property>
   <property name="display_height">200</property>
-  <property name="allow_resize">True</property>
  </widget>
  <table>