Index: /WAeUP_SRP/trunk/profiles/default/actionicons.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/actionicons.xml	(revision 1138)
+++ /WAeUP_SRP/trunk/profiles/default/actionicons.xml	(revision 1139)
@@ -51,7 +51,7 @@
               icon_expr="bed_list_refresh.gif"/>
  <action-icon category="object"
-              action_id="bed_list_refresh.gif"
+              action_id="change_bed"
               title="Change Bed" priority="90"
-              icon_expr="bed_list_refresh.gif"/>              
+              icon_expr="bed_list_refresh.gif"/>
  <action-icon category="folder" action_id="portlets"
               title="Manage portlets" priority="270"
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation.xml	(revision 1138)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation.xml	(revision 1139)
@@ -126,15 +126,16 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
- <widget name="student_status" meta_type="Select Widget">
-  <property name="title">Status</property>
+ <widget name="student_status" meta_type="String Widget">
+  <property name="title">Bed Type</property>
   <property name="fields">
    <element value="student_status"/>
   </property>
-  <property name="label">Status</property>
-  <property name="label_edit">Status</property>
-  <property name="readonly_layout_modes"/>
+  <property name="label">Bed Type</property>
+  <property name="label_edit">Bed Type</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="vocabulary">student_status_voc</property>
  </widget>
  <table>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation_fe.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation_fe.xml	(revision 1138)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation_fe.xml	(revision 1139)
@@ -98,11 +98,11 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
- <widget name="student_status" meta_type="Select Widget">
-  <property name="title">Status</property>
+ <widget name="student_status" meta_type="String Widget">
+  <property name="title">Bed Type</property>
   <property name="fields">
    <element value="student_status"/>
   </property>
-  <property name="label">Status</property>
-  <property name="label_edit">Status</property>
+  <property name="label">Bed Type</property>
+  <property name="label_edit">Bed Type</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
@@ -112,5 +112,4 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="vocabulary">student_status_voc</property>
  </widget>
  <table>
Index: /WAeUP_SRP/trunk/profiles/default/types/StudentAccommodation.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/StudentAccommodation.xml	(revision 1138)
+++ /WAeUP_SRP/trunk/profiles/default/types/StudentAccommodation.xml	(revision 1139)
@@ -35,5 +35,5 @@
  <action title="action_edit" action_id="edit" category="object"
     condition_expr="" url_expr="string:${object_url}/waeup_edit_form"
-    visible="True">
+    visible="False">
   <permission value="Modify portal content"/>
  </action>
Index: eUP_SRP/trunk/profiles/default/vocabularies/student_status_voc.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/vocabularies/student_status_voc.xml	(revision 1138)
+++ 	(revision )
@@ -1,10 +1,0 @@
-<?xml version="1.0"?>
-<object name="student_status_voc" meta_type="CPS Vocabulary">
- <property name="title"></property>
- <property name="title_msgid"></property>
- <property name="description"></property>
- <property name="acl_write_roles">Manager</property>
- <item key="fr" msgid="">New Student</item>
- <item key="re" msgid="">Returning Student</item>
- <item key="fi" msgid="">Final Year Student</item>
-</object>
Index: /WAeUP_SRP/trunk/skins/waeup_student/student_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/student_view.pt	(revision 1138)
+++ /WAeUP_SRP/trunk/skins/waeup_student/student_view.pt	(revision 1139)
@@ -27,5 +27,5 @@
               <strong tal:content="row/title" /></a> </td>
             <td> 
-            <a tal:condition="python: row['is_editable'] and row['type']!='StudentClearance'"
+            <a tal:condition="python: row['is_editable'] and not row['type'] in ('StudentClearance','StudentAccommodation',)"
                 href="edit" tal:attributes="href string:${row/url}/external_edit_form"
                 target="edit"