Index: WAeUP_SRP/trunk/skins/waeup_default/callback.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/callback.pt	(revision 1145)
+++ 	(revision )
@@ -1,11 +1,0 @@
-<metal:html>
-  <metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main">
-      x_RespCode: <span tal:replace="request/x_RespCode|nothing" /><br />
-      x_RespDesc: <span tal:replace="request/x_RespDesc|nothing" /><br />
-      x_RespPayRef: <span tal:replace="request/x_RespPayRef|nothing" /><br />
-      x_CardNum: <span tal:replace="request/x_CardNum|nothing" /><br />
-      x_ApprAmt: <span tal:replace="request/x_ApprAmt|nothing" /><br />
-    </metal:main>
-  </metal:body>
-</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_default/online_payment.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/online_payment.pt	(revision 1145)
+++ 	(revision )
@@ -1,155 +1,0 @@
-<metal:html>
-  <metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main">
-      <form name="Form1" method="post" 
-            action="http://www.wemaonlinepayments.biz/payment.aspx" 
-            id="Form1">
-          <table>
-            <tr>
-            <td >Site ID</td>
-            <td >Code that represents the portal within the payment gateway.&nbsp; This is assigned to the portal by Wema Bank</td>
-            <td><input name="x_SiteID" 
-                       type="text" 
-                       id="x_SiteID" 
-                       size="33" 
-                       value="8000" />
-            </td>
-          </tr>
-          <tr>
-            <td >Payment Item Code</td>
-            <td >
-              e.g&nbsp;Code that represents what the student is paying for: eg. 001, 078
-            </td>
-            <td>
-              <input name="x_PaymentCode" 
-                     type="text" 
-                     id="x_PaymentCode" 
-                     value="001" />
-            </td>
-          </tr>
-          <tr>
-            <td >Payment Desc</td>
-            <td >A description of what the student is paying for.&nbsp; Eg 
-            School Fees</td>
-            <td>
-              <input name="x_PayDesc" 
-                     type="text" 
-                     id="x_PayDesc"
-                     value="School Fees for 2006/2007 Session" 
-                     />
-            </td>
-          </tr>
-          <tr>
-            <td>Bill To</td>
-            <td>
-              &nbsp;Address of the payer.&nbsp; Required for e-commerce application. Student name can be here for school payment 
-            purposes
-            </td>
-            <td>
-              <input name="x_Billto" 
-                     type="text" 
-                     id="x_Billto" 
-                     value="John Pedro" />
-            </td>
-          </tr>
-          <tr>
-            <td >Ship To</td>
-            <td >Address where goods will be shipped to.&nbsp; Required for 
-              e-commerce application. School Name&nbsp;can be here for school payment 
-            purposes</td>
-            <td>
-              <input name="x_Shipto" type="text" 
-                     id="x_Shipto" 
-                     value="Recipient Address" 
-                     />
-            </td>
-          </tr>
-          <tr>
-            <td >Payers ID</td>
-            <td >&nbsp;eg. Matric number of the student</td>
-            <td>
-              <input name="x_PayerID" 
-                     type="text" 
-                     id="x_PayerID" 
-                     value="CS960307087 " 
-                     />
-            </td>
-          </tr>
-          <tr>
-            <td >Payers Name</td>
-            <td >&nbsp;name of the student</td>
-            <td><input name="x_PayerNames" 
-                       type="text" 
-                       id="x_PayerNames" 
-                       value="John Pedro" 
-                       />
-            </td>
-          </tr>
-          <tr>
-            <td >Payer e-mail</td>
-            <td >&nbsp;email address of the student</td>
-            <td>
-              <input name="x_PayerEmail" 
-                     type="text" id="x_PayerEmail" 
-                     value="abc@yahoo.co.uk" /></td>
-          </tr>
-          <tr>
-            <td >Order ID</td>
-            <td >&nbsp;this is a unique number for the transaction.&nbsp; 
-            Typically, this can be INVOICE NUMBER, and must be unique per payment</td>
-            <td><input name="x_OrderID" 
-                       type="text" 
-                       id="x_OrderID" 
-                       value="85741253" />
-            </td>
-          </tr>
-          <tr>
-            <td >Amount
-            </td>
-            <td >&nbsp;Amount to be paid.&nbsp; Must NOT be formatted with 
-            comma</td>
-            <td><input name="x_amt" 
-                       type="text" 
-                       id="x_amt" 
-                       value="7500" 
-                       />
-            </td>
-          </tr>
-          <tr>
-            <td >Currency Code</td>
-            <td >&nbsp;only Nigeria Naira is supported now.&nbsp; use 566 
-            as the currency code</td>
-            <td>
-              <input name="x_CurrencyID" 
-                     type="text" 
-                     id="x_CurrencyID" 
-                     value="566" 
-                     />
-            </td>
-          </tr>
-          <tr>
-            <td >Site Redirect Url</td>
-            <td >&nbsp;URL within your portal where response will be 
-            directed to</td>
-            <td>
-              <input name="x_Redirect_url" 
-                     type="text" 
-                     id="x_Redirect_url" 
-                     value="http://uniben.waeup.org/callback" 
-                     />
-            </td>
-          </tr>
-          <tr>
-            <td ></td>
-            <td ></td>
-            <td>
-              <input type="submit" name="btnPostPopup" 
-                     value="Submit" 
-                     />
-            </td>
-          </tr>
-        </table>
-      </form>
-    </metal:main>
-  </metal:body>
-</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_epayment/callback.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_epayment/callback.pt	(revision 1146)
+++ WAeUP_SRP/trunk/skins/waeup_epayment/callback.pt	(revision 1146)
@@ -0,0 +1,11 @@
+<metal:html>
+  <metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main">
+      x_RespCode: <span tal:replace="request/x_RespCode|nothing" /><br />
+      x_RespDesc: <span tal:replace="request/x_RespDesc|nothing" /><br />
+      x_RespPayRef: <span tal:replace="request/x_RespPayRef|nothing" /><br />
+      x_CardNum: <span tal:replace="request/x_CardNum|nothing" /><br />
+      x_ApprAmt: <span tal:replace="request/x_ApprAmt|nothing" /><br />
+    </metal:main>
+  </metal:body>
+</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_epayment/online_payment.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_epayment/online_payment.pt	(revision 1146)
+++ WAeUP_SRP/trunk/skins/waeup_epayment/online_payment.pt	(revision 1146)
@@ -0,0 +1,156 @@
+<metal:html>
+  <metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main">
+      <form name="Form1" method="post" 
+            action="http://www.wemaonlinepayments.biz/payment.aspx" 
+            id="Form1">
+          <table>
+            <tr>
+            <td >Site ID</td>
+            <td >Code that represents the portal within the payment gateway.&nbsp; This is assigned to the portal by Wema Bank</td>
+            <td><input name="x_SiteID" 
+                       type="text" 
+                       id="x_SiteID" 
+                       size="33" 
+                       value="8000" />
+            </td>
+          </tr>
+          <tr>
+            <td >Payment Item Code</td>
+            <td >
+              e.g&nbsp;Code that represents what the student is paying for: eg. 001, 078
+            </td>
+            <td>
+              <input name="x_PaymentCode" 
+                     type="text" 
+                     id="x_PaymentCode" 
+                     value="001" />
+            </td>
+          </tr>
+          <tr>
+            <td >Payment Desc</td>
+            <td >A description of what the student is paying for.&nbsp; Eg 
+            School Fees</td>
+            <td>
+              <input name="x_PayDesc" 
+                     type="text" 
+                     id="x_PayDesc"
+                     value="School Fees for 2006/2007 Session" 
+                     />
+            </td>
+          </tr>
+          <tr>
+            <td>Bill To</td>
+            <td>
+              &nbsp;Address of the payer.&nbsp; Required for e-commerce application. 
+              Student name can be here for school payment 
+            purposes
+            </td>
+            <td>
+              <input name="x_Billto" 
+                     type="text" 
+                     id="x_Billto" 
+                     value="John Pedro" />
+            </td>
+          </tr>
+          <tr>
+            <td >Ship To</td>
+            <td >Address where goods will be shipped to.&nbsp; Required for 
+              e-commerce application. School Name&nbsp;can be here for school payment 
+            purposes</td>
+            <td>
+              <input name="x_Shipto" type="text" 
+                     id="x_Shipto" 
+                     value="Recipient Address" 
+                     />
+            </td>
+          </tr>
+          <tr>
+            <td >Payers ID</td>
+            <td >&nbsp;eg. Matric number of the student</td>
+            <td>
+              <input name="x_PayerID" 
+                     type="text" 
+                     id="x_PayerID" 
+                     value="CS960307087 " 
+                     />
+            </td>
+          </tr>
+          <tr>
+            <td >Payers Name</td>
+            <td >&nbsp;name of the student</td>
+            <td><input name="x_PayerNames" 
+                       type="text" 
+                       id="x_PayerNames" 
+                       value="John Pedro" 
+                       />
+            </td>
+          </tr>
+          <tr>
+            <td >Payer e-mail</td>
+            <td >&nbsp;email address of the student</td>
+            <td>
+              <input name="x_PayerEmail" 
+                     type="text" id="x_PayerEmail" 
+                     value="abc@yahoo.co.uk" /></td>
+          </tr>
+          <tr>
+            <td >Order ID</td>
+            <td >&nbsp;this is a unique number for the transaction.&nbsp; 
+            Typically, this can be INVOICE NUMBER, and must be unique per payment</td>
+            <td><input name="x_OrderID" 
+                       type="text" 
+                       id="x_OrderID" 
+                       value="85741253" />
+            </td>
+          </tr>
+          <tr>
+            <td >Amount
+            </td>
+            <td >&nbsp;Amount to be paid.&nbsp; Must NOT be formatted with 
+            comma</td>
+            <td><input name="x_amt" 
+                       type="text" 
+                       id="x_amt" 
+                       value="7500" 
+                       />
+            </td>
+          </tr>
+          <tr>
+            <td >Currency Code</td>
+            <td >&nbsp;only Nigeria Naira is supported now.&nbsp; use 566 
+            as the currency code</td>
+            <td>
+              <input name="x_CurrencyID" 
+                     type="text" 
+                     id="x_CurrencyID" 
+                     value="566" 
+                     />
+            </td>
+          </tr>
+          <tr>
+            <td >Site Redirect Url</td>
+            <td >&nbsp;URL within your portal where response will be 
+            directed to</td>
+            <td>
+              <input name="x_Redirect_url" 
+                     type="text" 
+                     id="x_Redirect_url" 
+                     value="http://uniben.waeup.org/callback" 
+                     />
+            </td>
+          </tr>
+          <tr>
+            <td ></td>
+            <td ></td>
+            <td>
+              <input type="submit" name="btnPostPopup" 
+                     value="Submit" 
+                     />
+            </td>
+          </tr>
+        </table>
+      </form>
+    </metal:main>
+  </metal:body>
+</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_student/display_session_results.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/display_session_results.py	(revision 1146)
+++ WAeUP_SRP/trunk/skins/waeup_student/display_session_results.py	(revision 1146)
@@ -0,0 +1,44 @@
+##parameters=REQUEST
+# $Id$
+"""
+process the Application Form
+return html renderer + psm
+"""
+import DateTime
+current = DateTime.DateTime()
+pr = context.portal_registration
+
+validate = REQUEST.has_key("cpsdocument_create_button")
+
+lt = context.portal_layouts
+#pr = context.portal_registration
+
+res,psm,ds = lt.renderLayout(layout_id= 'student_session_results_search',
+                      schema_id= 'student_clearance',
+                      context=context,
+                      mapping=validate and REQUEST,
+                      ob={},
+                      layout_mode='create',
+                      formaction = "display_session_results",
+                      button = "Search",
+                      commit=False,
+                      )
+if psm == 'invalid':
+    return context.display_session_results_form(rendered = res,
+                                 psm = "Please correct your input!",
+                                 #psm = "%s, %s" % (psm,ds),
+                                 firstlayout = True,
+                                 lastlayout = True,
+                                 ds = ds,
+                                 )
+elif psm == '':
+    return context.display_session_results_form(rendered = res,
+                                 psm = None,
+                                 firstlayout = True,
+                                 lastlayout = True,
+                                 ds = ds,
+                                 )
+elif psm == 'valid':
+    return context.session_results_anon_view(student=ds.get('student'),
+                                           results=ds.get('results'))
+
Index: WAeUP_SRP/trunk/skins/waeup_student/display_session_results_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/display_session_results_form.pt	(revision 1146)
+++ WAeUP_SRP/trunk/skins/waeup_student/display_session_results_form.pt	(revision 1146)
@@ -0,0 +1,23 @@
+<tal:block define="rendered_main options/rendered;
+                   portal_status_message options/psm;
+                   data_storage options/ds;
+                   edition python:1;"
+                   >
+<metal:block define-macro="edit_form">
+  <metal:block use-macro="here/content_lib_master/macros/master">
+  <metal:block fill-slot="header"
+    tal:define="creation creation|nothing;
+                edition edition|nothing;
+                metadata metadata|nothing"
+                >
+    </metal:block>
+      <metal:block fill-slot="main">
+        <h3>Display Your 2005/2006 Session Results! </h3>
+        <br />
+        <div tal:replace="structure rendered_main" />
+      </metal:block>
+      <metal:block fill-slot="sub">
+      </metal:block>
+    </metal:block>
+  </metal:block>
+</tal:block>
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_search_session_create.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_search_session_create.pt	(revision 1146)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_search_session_create.pt	(revision 1146)
@@ -0,0 +1,91 @@
+<tal:block define="global creation python:1;
+                   global formaction string:display_pume_result" />
+<!-- a layout_lib macro -->
+<!-- $Id$ -->
+
+<metal:block define-macro="default_edit"
+  tal:define="layout options/layout;
+  ds options/datastructure;
+  dm ds/getDataModel;
+  formaction options/formaction;
+  creation creation|nothing;
+  metadata metadata|nothing;
+  type_name request/type_name|nothing;
+  ti python:type_name and getattr(here.portal_types,type_name,None) or getattr(here.portal_types,here.portal_type,None);
+  cpsmcat nocall:here/translation_service;
+  apply request/apply_button|nothing;
+  ">
+  <form action="" id="editForm" method="post" 
+        enctype="multipart/form-data" class="workflow"
+        tal:attributes="action formaction"
+        >
+  <table class="layoutDefault" summary="Form layout"
+         tal:condition="layout/rows">
+    <span tal:repeat="row python: layout['rows']" valign="top" >
+      <span tal:repeat="cell row">
+        <tr tal:define="widget cell/widget;
+              wid widget/getWidgetId;
+              err python:ds.getError(wid);
+              err_mapping python:ds.getErrorMapping(wid);
+              is_required python: widget.is_required and creation and ('create' not in widget.readonly_layout_modes);
+              tooltip_id python:wid + '_help';
+              widget_css_class cell/widget_css_class|nothing;
+              css_class python:test(err, 'row error','row')"
+              tal:condition="python: wid != 'passport'"
+              >
+          <div tal:attributes="class widget_css_class;
+          id python:widget.getHtmlWidgetId()+'_widget';"
+          >
+            <td>
+            <div class="label" tal:condition="widget/label_edit"
+                 tal:attributes="class python:test(is_required, 'label required','label')">
+              <label tal:content="widget/label_edit"
+                     tal:attributes="for cell/widget_input_area_id|nothing;">label</label>:
+            </div>
+            <button type="button" class="tooltipControl"
+                    tal:condition="widget/help"
+                    tal:attributes="onclick python:'toggleElementVisibility(\'%s\')' % tooltip_id;"> ? </button>
+            </td>
+            <td>
+            <span class="field">
+              <div tal:replace="structure cell/widget_rendered"/>
+            </span>
+            <div class="tooltipArea" style="visibility: hidden;"
+                 tal:condition="widget/help"
+                 tal:attributes="id tooltip_id;
+                 onclick python:'showElement(false, \'%s\')' % tooltip_id;"
+                 >
+              <tal:block tal:content="widget/help">This is the help for this field
+              </tal:block>
+            </div>
+            <tal:block condition="err">
+              <tal:block define="msg python:cpsmcat(err, mapping=err_mapping)">
+                <br /><em style="color: red"
+                          tal:content="msg">err</em>
+              </tal:block>
+            </tal:block>
+            </td>
+          </div>
+        </tr>
+      </span>
+    </span>
+  </table>
+  <br />
+  <input type="submit" class="standalone" name="cpsdocument_edit_button"
+         value="Save" 
+         id="cpsdocument_edit_button"
+         tal:condition="not:creation" />
+  <input type="submit" class="standalone" name="apply_admission"
+         value="apply for admission"
+         id="cpsdocument_edit_and_view_button"
+         tal:condition="apply" 
+         tal:attributes="value apply"/>
+  <input type="submit" 
+         class="standalone" 
+         name="cpsdocument_create_button"
+         value="apply"
+         tal:attributes="value options/button"
+         tal:condition="creation" />
+
+</form>
+</metal:block>
Index: WAeUP_SRP/trunk/skins/waeup_student/session_results_anon_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/session_results_anon_view.pt	(revision 1146)
+++ WAeUP_SRP/trunk/skins/waeup_student/session_results_anon_view.pt	(revision 1146)
@@ -0,0 +1,46 @@
+<metal:html tal:define="student options/student;
+            results options/results"
+            >
+  <metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main">
+      <div style="text-align: right">
+        <a href="" target="slip" tal:attributes="href string:session_results_anon_slip?nr=${student/matric_no}"
+           onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
+          <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
+          Session Result Slip
+        </a>
+      </div>
+      <h3>Session Results of <span tal:content="student/Firstname" />
+        <span tal:content="student/Middlename" />
+        <span tal:content="student/Lastname" />
+      </h3>
+      <table>
+        <tr>
+          <th>MatricelNo</th><td tal:content="student/matric_no" />                     
+        </tr>
+        <tr>
+          <th>Sex</th><td tal:content="student/Sex" />                     
+        </tr>
+        <tr>
+          <th>Course of Study</th><td tal:content="student/Coursemajor" />                     
+        </tr>
+        <tr>
+          <th>Level</th><td tal:content="student/Level" />                     
+        </tr>
+      </table>
+       <br />              
+                     
+       <table>
+        <span tal:repeat="result results">
+          <tr tal:condition="repeat/result/start">
+            <td tal:content="result/Verdict" /> <td tal:content="result/Session" /> 
+          </tr>        
+          <tr tal:condition="repeat/result/start"><th>Course</th><th>Grade</th><th>Weight</th></tr>
+          <tr><td tal:content="result/CosCode" />
+            <td tal:content="result/GRADE" /><td tal:content="result/WEIGHT" />
+          </tr>
+        </span>
+      </table>
+    </metal:main>
+  </metal:body>
+</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_student/widget_waeup_multiline_result_render.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/widget_waeup_multiline_result_render.pt	(revision 1146)
+++ WAeUP_SRP/trunk/skins/waeup_student/widget_waeup_multiline_result_render.pt	(revision 1146)
@@ -0,0 +1,80 @@
+<tal:block define="mode options/mode;
+                   id here/getWidgetId;
+                   id_s string:${id}_s;
+                   id_g string:${id}_g;
+                   results options/datastructure/?id;
+                   subject options/datastructure/?id_s;
+                   grade options/datastructure/?id_g;
+                   grade_voc context/portal_vocabularies/exam_grades;   
+                   subjects_voc context/portal_vocabularies/exam_subjects;   
+">
+<tal:block condition="python: mode == 'view'">
+    <div tal:repeat="res results">
+      <span tal:content="python:subjects_voc.get(res[0])" />: <span tal:content="python:grade_voc.get(res[1])" />
+    </div>
+</tal:block>
+<tal:block define="name here/getHtmlWidgetId;"
+           condition="python: mode == 'edit'">
+  <table border=0 cellpadding=0 cellspacing=0>
+    <tr><th>Subject</th><th>Grade</th>
+      <tr tal:repeat="res results">
+        <span tal:define="wnr python:'%02d' % (repeat['res'].number())">
+          <td><select size="1"
+                      tal:attributes="name string:${name}${wnr}_s;
+                      id string:${name}_s;"
+                      >
+              <option tal:repeat="sub subjects_voc/items"
+                      tal:attributes="value python:sub[0];
+                      selected python: res[0] == sub[0];"
+                      tal:content="python: sub[1]">
+              </option>
+            </select>
+          </td>
+          <td> 
+            <select size="1"
+                    tal:attributes="name string:${name}${wnr}_g;
+                    id string:${name}_g;"
+                    >
+              <option tal:repeat="sub grade_voc/items"
+                      tal:attributes="value python:sub[0];
+                      selected python: res[1] == sub[0]"
+                      tal:content="python: sub[1]">
+              </option>
+            </select>
+          </td>
+        </span>
+      </tr>
+      <tr>
+        <td colspan="2">
+          <hr />
+        </td>
+      </tr>
+    <tr>
+      <td><select size="1"
+                  tal:attributes="name string:${name}_s;
+                  id string:${name}_s;">
+              <option tal:repeat="sub subjects_voc/items"
+                      tal:attributes="value python:sub[0]"
+                      tal:content="python: sub[1]">
+              </option>
+            </select>
+      </td>
+      <td> 
+          <select size="1"
+                  tal:attributes="name string:${name}_g;
+                  id string:${name}_g;">
+                  <option tal:repeat="sub grade_voc/items"
+                          tal:attributes="value python:sub[0]"
+                          tal:content="python: sub[1]">
+          </option>
+        </select>
+      </td>
+      <td> 
+        <input type="submit" class="standalone" name="cpsdocument_edit_button"
+         value="Add/Modify" 
+         id="cpsdocument_edit_button" />
+      </td>
+    </tr>
+  </table>
+</tal:block>
+</tal:block>