Index: /WAeUP_SRP/trunk/WAeUPTool.py
===================================================================
--- /WAeUP_SRP/trunk/WAeUPTool.py	(revision 1157)
+++ /WAeUP_SRP/trunk/WAeUPTool.py	(revision 1158)
@@ -105,5 +105,5 @@
         
     security.declarePublic('makeStudentData') ###(
-    def makeStudentData(self,student_id,email=None):
+    def makeStudentData(self,student_id,email=None,phone_nr=None):
         "create Datastructure for a returning Student"
         #import pdb;pdb.set_trace()
@@ -116,5 +116,5 @@
         if res:
             student = res[0] 
-        logger.info('"%s", "creating Datastructure"')
+        logger.info('"%s", "creating Datastructure"' % student_id)
         certcode_org = student.Coursemajorcode
         certcode = makeCertificateCode(certcode_org)
@@ -154,5 +154,6 @@
             lga = "None"
         dc['lga'] = lga
-        dc['email'] = email
+        dp['email'] = email
+        dp['phone'] = phone_nr
         dp['firstname'] = student.Firstname
         dp['middlename'] = student.Middlename
@@ -163,4 +164,18 @@
         personal.getContent().edit(mapping=dp)
         clearance.getContent().edit(mapping=dc)
+        catd = {}
+        catd['id'] = sid
+        catd['entry_mode']= da['entry_mode']
+        catd['matric_no'] = matric_no
+        catd['jamb_reg_no'] = da['jamb_reg_no'] 
+        catd['name'] = "%(firstname)s %(middlename)s %(lastname)s" % dp  
+        catd['sex'] = dp['sex'] 
+        catd['level'] = level 
+        if certificate_brain:
+            cpath = certificate_brain.getPath().split('/')
+            catd['faculty'] = cpath[-4] 
+            catd['department'] = cpath[-3] 
+            catd['course'] = certcode
+        self.students_catalog.modifyRecord(**catd)
         #
         # Study Course
Index: /WAeUP_SRP/trunk/profiles/default/layouts/certificate.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/certificate.xml	(revision 1157)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/certificate.xml	(revision 1158)
@@ -194,5 +194,5 @@
   <property name="vocabulary">courselevel</property>
  </widget>
- <widget name="school_fee_code" meta_type="Select Widget">
+ <widget name="school_fee_code" meta_type="String Widget">
   <property name="title">School Fee Prefix</property>
   <property name="fields">
@@ -204,5 +204,4 @@
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="vocabulary">pin_prefixes</property>
  </widget>
  <table>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_session_results_search.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_session_results_search.xml	(revision 1157)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_session_results_search.xml	(revision 1158)
@@ -30,9 +30,23 @@
   <property name="hidden_layout_modes">
    <element value="create"/>
-   <element value="edit"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
   <property name="display_width">10</property>
   <property name="size_max">10</property>
+ </widget>
+ <widget name="phone_nr" meta_type="String Widget">
+  <property name="title">Phone Number</property>
+  <property name="fields">
+   <element value="phone_nr"/>
+  </property>
+  <property name="label">Phone Number</property>
+  <property name="label_edit">Phone Number</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="display_width">15</property>
+  <property name="size_max">15</property>
  </widget>
  <widget name="matric_no" meta_type="MatricNo Widget">
@@ -88,5 +102,11 @@
   </row>
   <row>
+   <cell name="jamb_reg_no" />
+  </row>
+  <row>
    <cell name="email" />
+  </row>
+  <row>
+   <cell name="phone_nr" />
   </row>
   <row>
Index: /WAeUP_SRP/trunk/profiles/default/schemas/student_returning.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/schemas/student_returning.xml	(revision 1157)
+++ /WAeUP_SRP/trunk/profiles/default/schemas/student_returning.xml	(revision 1158)
@@ -2,4 +2,5 @@
 <object name="student_returning" meta_type="CPS Schema">
  <field name="email" meta_type="CPS String Field"/>
+ <field name="phone_nr" meta_type="CPS String Field"/>
  <field name="jamb_reg_no" meta_type="CPS String Field"/>
  <field name="matric_no" meta_type="CPS String Field"/>
Index: /WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py	(revision 1157)
+++ /WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py	(revision 1158)
@@ -38,5 +38,8 @@
         student = getattr(students,str(member))
         if request.has_key('email'):
-            context.waeup_tool.makeStudentData(str(member),email=request.get("email"))
+            context.waeup_tool.makeStudentData(str(member),
+                                               email=request.get("email"),
+                                               phone_nr=request.get("phone_nr"),
+                                               )
         student_app = getattr(student,'application',None)
         if student_app is None:
Index: /WAeUP_SRP/trunk/skins/waeup_epayment/pay_online.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/pay_online.py	(revision 1157)
+++ /WAeUP_SRP/trunk/skins/waeup_epayment/pay_online.py	(revision 1158)
@@ -10,5 +10,5 @@
 # $Id$
 """
-return Info about the current Student
+pay online
 """
 import logging
@@ -24,4 +24,20 @@
 
 student = getattr(students,student_id)
+sbrain = context.students_catalog(id=student_id)[0]
+res = context.portal_catalog(portal_type="Certificate",
+                                     id = sbrain.course)
+if not res:
+    return None
+sfc = res[0].getObject().getContent().school_fee_code
 info = {}
-
+info['callback_url'] = "%s/epayment_cb" % student.absolute_url()
+info['payment_type_code'] = sfc
+info['payment_type_description'] = "Schoolfee %s for 2006/2007 Session" % sfc
+info['payment_bill_to'] = sbrain.name
+info['payment_ship_to'] = "University of Benin"
+info['student_id'] = student_id
+info['student_name'] = sbrain.name
+info['student_email'] = sbrain.email
+info['order_id'] = "%s%s" % (student_id[1:],DateTime.DateTime().strftime("%d%m%y%H%M%S"))
+info['amount'] = "75000"
+return context.wema_form(info=info)
Index: /WAeUP_SRP/trunk/skins/waeup_epayment/wema_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/wema_form.pt	(revision 1157)
+++ /WAeUP_SRP/trunk/skins/waeup_epayment/wema_form.pt	(revision 1158)
@@ -12,7 +12,7 @@
           <tr>
             <input name="x_PaymentCode" type="hidden" 
-                   tal:attributes="info/payment_type_code" />
+                   tal:attributes="value info/payment_type_code" />
             <input name="x_PaymentDesc" type="hidden" 
-                   tal:attributes="info/payment_type_description" />
+                   tal:attributes="value info/payment_type_description" />
             <td >Description</td>
             <td tal:content="info/payment_type_description"></td>
@@ -20,20 +20,20 @@
           <tr>
             <input name="x_Billto" type="hidden" 
-                   tal:attributes="info/payment_billto" />
+                   tal:attributes="value info/payment_bill_to" />
             <input name="x_Shipto" type="hidden" 
-                   tal:attributes="info/payment_shipto" />
+                   tal:attributes="value info/payment_ship_to" />
             <input name="x_PayersID" type="hidden" 
-                   tal:attributes="info/student_id" />
+                   tal:attributes="value info/student_id" />
             <input name="x_PayerName" type="hidden" 
-                   tal:attributes="info/student_name" />
+                   tal:attributes="value info/student_name" />
             <input name="x_PayerEmail" type="hidden" 
-                   tal:attributes="info/student_email" />
+                   tal:attributes="value info/student_email" />
             <input name="x_OrderID" type="hidden" 
-                   tal:attributes="info/order_id" />
-            <td tal:content="info/payment_billto"></td>
+                   tal:attributes="value info/order_id" />
+            <td tal:content="info/payment_bill_to"></td>
           </tr>
           <tr>
             <input name="x_amt" type="hidden" 
-                   tal:attributes="info/amount" />
+                   tal:attributes="value info/amount" />
             <td >Amount
             </td>
Index: /WAeUP_SRP/trunk/skins/waeup_student/createStudentFT.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/createStudentFT.py	(revision 1157)
+++ /WAeUP_SRP/trunk/skins/waeup_student/createStudentFT.py	(revision 1158)
@@ -44,4 +44,6 @@
                                                         student_brain.Lastname)
                                 )
-return "Student MatricelNo %s and %s created" % (matric_no,sid)
+return "Student MatricelNo %s and %s Jamb %s created" % (matric_no,
+                                                         sid,
+                                                         student_brain.Entryregno)
     
Index: /WAeUP_SRP/trunk/skins/waeup_student/set_access_data.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/set_access_data.py	(revision 1157)
+++ /WAeUP_SRP/trunk/skins/waeup_student/set_access_data.py	(revision 1158)
@@ -42,14 +42,14 @@
 elif psm == 'valid':
     pass
-    #jamb_reg_no = ds.get('jamb_reg_no')
-    #r = context.returning_import(matric_no = matric_no)
-    #if 0 and r and r[0].Entryregno != jamb_reg_no or not r:
-    #    psm = "Your Jamb Registration Nr is wrong"
-    #    return context.set_access_data_form(rendered = res,
-    #                             psm = psm,
-    #                             firstlayout = True,
-    #                             lastlayout = True,
-    #                             ds = ds,
-    #                             )
+    jamb_reg_no = ds.get('jamb_reg_no')
+    r = context.returning_import(matric_no = matric_no)
+    if r and r[0].Entryregno != jamb_reg_no or not r:
+        psm = "Your Jamb Registration Nr is wrong"
+        return context.set_access_data_form(rendered = res,
+                                 psm = psm,
+                                 firstlayout = True,
+                                 lastlayout = True,
+                                 ds = ds,
+                                 )
 ## from Products.zdb import set_trace;set_trace()
 password = REQUEST.get('widget__password')